## ros-indigo-abseil-cpp 0.2.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(abseil_cpp)

## Compile as C++11, supported in ROS Kinetic and newer
add_compile_options(-std=c++11)

find_package(catkin REQUIRED)


###################################
## catkin specific configuration ##
###################################

catkin_package(
   INCLUDE_DIRS ./ cctz/include
   LIBRARIES abseil_cpp
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
include_directories(
 ./
 cctz/include
 ${catkin_INCLUDE_DIRS}
)

file(GLOB_RECURSE source_list "*.cc" )
file(GLOB_RECURSE test_list "*test*.cc" )

list(REMOVE_ITEM source_list ${test_list})
list(REMOVE_ITEM source_list ${CMAKE_CURRENT_SOURCE_DIR}/absl/synchronization/internal/mutex_nonprod.cc )
list(REMOVE_ITEM source_list ${CMAKE_CURRENT_SOURCE_DIR}/cctz/src/benchmarks.cc )
list(REMOVE_ITEM source_list ${CMAKE_CURRENT_SOURCE_DIR}/cctz/src/time_tool.cc )

## Declare a C++ library
add_library(${PROJECT_NAME}  ${source_list} )

#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

## Mark executables and/or libraries for installation
install(TARGETS ${PROJECT_NAME}
   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
 )

## Mark cpp header files for installation
install(DIRECTORY absl/
    DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION}/absl
    FILES_MATCHING PATTERN "*.h"
    PATTERN ".svn" EXCLUDE
 )

install(DIRECTORY absl/
    DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION}/absl
    FILES_MATCHING PATTERN "*.inc"
 )

install(DIRECTORY cctz/include/
    DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION}
    FILES_MATCHING PATTERN "*.h"
    PATTERN ".svn" EXCLUDE
 )

=== absl/debugging/CMakeLists.txt ===
#
# Copyright 2017 The Abseil Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

list(APPEND DEBUGGING_PUBLIC_HEADERS
  "leak_check.h"
  "stacktrace.h"
)


list(APPEND DEBUGGING_INTERNAL_HEADERS
  "internal/address_is_readable.h"
  "internal/elf_mem_image.h"
  "internal/stacktrace_config.h"
  "internal/vdso_support.h"
)


list(APPEND STACKTRACE_SRC
  "stacktrace.cc"
  "internal/address_is_readable.cc"
  "internal/elf_mem_image.cc"
  "internal/vdso_support.cc"
  ${DEBUGGING_PUBLIC_HEADERS}
  ${DEBUGGING_INTERNAL_HEADERS}
)

absl_library(
  TARGET
    absl_stacktrace
  SOURCES
    ${STACKTRACE_SRC}
  EXPORT_NAME
    stacktrace
)


list(APPEND LEAK_CHECK_SRC
  "leak_check.cc"
)


# leak_check library
absl_library(
  TARGET
    absl_leak_check
  SOURCES
    ${LEAK_CHECK_SRC}
  PUBLIC_LIBRARIES
    absl_base
  EXPORT_NAME
    leak_check
)


# component target
absl_header_library(
  TARGET
    absl_debugging
  PUBLIC_LIBRARIES
    absl_stacktrace absl_leak_check
  EXPORT_NAME
    debugging
)

#
## TESTS
#

# test leak_check_test
list(APPEND LEAK_CHECK_TEST_SRC "leak_check_test.cc")

absl_test(
  TARGET
    leak_check_test
  SOURCES
    ${LEAK_CHECK_TEST_SRC}
  PUBLIC_LIBRARIES
    absl_leak_check
)

=== absl/time/CMakeLists.txt ===
#
# Copyright 2017 The Abseil Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

list(APPEND TIME_PUBLIC_HEADERS
  "clock.h"
  "time.h"
)


list(APPEND TIME_INTERNAL_HEADERS
  "internal/test_util.h"
)

list(APPEND TIME_SRC
  "time.cc"
  "clock.cc"
  "duration.cc"
  "format.cc"
  ${TIME_PUBLIC_HEADERS}
  ${TIME_INTERNAL_HEADERS}
)
set(TIME_PUBLIC_LIBRARIES absl::base absl::stacktrace absl::int128 cctz)

absl_library(
  TARGET
    absl_time
  SOURCES
    ${TIME_SRC}
  PUBLIC_LIBRARIES
    ${TIME_PUBLIC_LIBRARIES}
  PUBLIC_INCLUDE_DIRS
    ${CCTZ_INCLUDE_DIRS}
  EXPORT_NAME
    time
)



#
## TESTS
#

# test time_test
list(APPEND TIME_TEST_SRC
  "time_test.cc"
  "clock_test.cc"
  "duration_test.cc"
  "format_test.cc"
  "time_norm_test.cc"
  "time_test.cc"
  "time_zone_test.cc"
  "internal/test_util.cc"
)
set(TIME_TEST_PUBLIC_LIBRARIES absl::time)

absl_test(
  TARGET
    time_test
  SOURCES
    ${TIME_TEST_SRC}
  PUBLIC_LIBRARIES
    ${TIME_TEST_PUBLIC_LIBRARIES}
)

=== absl/utility/CMakeLists.txt ===
#
# Copyright 2017 The Abseil Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#


list(APPEND UTILITY_PUBLIC_HEADERS
  "utility.h"
)



list(APPEND UTILITY_SRC
  "utility.cc"
  ${UTILITY_PUBLIC_HEADERS}
)

absl_library(
  TARGET
    absl_utility
  SOURCES
    ${UTILITY_SRC}
  PUBLIC_LIBRARIES
    ${UTILITY_PUBLIC_LIBRARIES}
  EXPORT_NAME
    utility
)



#
## TESTS
#

# test utility_test
set(UTILITY_TEST_SRC "utility_test.cc")
set(UTILITY_TEST_PUBLIC_LIBRARIES absl::utility)

absl_test(
  TARGET
    utility_test
  SOURCES
    ${UTILITY_TEST_SRC}
  PUBLIC_LIBRARIES
    ${UTILITY_TEST_PUBLIC_LIBRARIES}
)

=== debian/changelog ===
ros-indigo-abseil-cpp (0.2.3-0trusty) trusty; urgency=high

  * Fix issue #1 <https://github.com/Eurecat/abseil-cpp/issues/1>
  * Contributors: Davide Faconti

 -- dfaconti <davide.faconti@gmail.com>  Tue, 14 Nov 2017 23:00:00 -0000

ros-indigo-abseil-cpp (0.2.2-0trusty) trusty; urgency=high

  * removing rsync
  * Contributors: Davide Faconti

 -- dfaconti <davide.faconti@gmail.com>  Tue, 14 Nov 2017 23:00:00 -0000

ros-indigo-abseil-cpp (0.2.0-0trusty) trusty; urgency=high

  * reorganized the files
  * Contributors: Davide Faconti

 -- dfaconti <davide.faconti@gmail.com>  Fri, 13 Oct 2017 22:00:00 -0000

ros-indigo-abseil-cpp (0.1.3-0trusty) trusty; urgency=high

  * rebase
  * Update CMakeLists.txt
  * Contributors: Abseil Team, Bronek Kozicki, Davide Faconti, Gennadiy Civil, Gennadiy Rozental, Matt Calabrese, misterg, vslashg

 -- dfaconti <davide.faconti@gmail.com>  Thu, 12 Oct 2017 22:00:00 -0000

ros-indigo-abseil-cpp (0.1.2-0trusty) trusty; urgency=high

  * Update CMakeLists.txt
  * Contributors: Davide Faconti

 -- dfaconti <davide.faconti@gmail.com>  Tue, 03 Oct 2017 22:00:00 -0000

ros-indigo-abseil-cpp (0.1.1-0trusty) trusty; urgency=high

  * Merge branch 'master' of https://github.com/Eurecat/abseil-cpp
  * test removed
  * Update README.md
  * Initial Commit
  * Contributors: Abseil Team, Ben Cox, Davide Faconti, Derek Mauro, misterg

 -- dfaconti <davide.faconti@gmail.com>  Sat, 30 Sep 2017 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-abseil-cpp
Section: misc
Priority: extra
Maintainer: dfaconti <davide.faconti@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, rsync
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-abseil-cpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: The abseil_cpp package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-abseil-cpp//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
